<?php
/*------------------------------------------------------------------------
# Article Show V2- Joomla Article SlideShow Module by JoomShaper.com
# ------------------------------------------------------------------------
# author    JoomShaper http://www.joomshaper.com
# copyright Copyright (C) 2010 JoomShaper.com. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Websites: http://www.joomshaper.com - http://www.joomxpert.com
# This file may not be redistributed in whole or significant part
-------------------------------------------------------------------------*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
$uri 					= JURI::getInstance();
$uniqid					= $params->get('uniqid', '1');
$width					= $params->get('width', '320');
$height					= $params->get('height', '200');
$interval 				= $params->get("interval", '5000');
$speed 					= $params->get("speed", '1000');
$fxduration 			= $params->get('fxduration', '1000');
$effects				= $params->get('effects','cover-inplace-fade');
$transition 			= $params->get("transition", "Sine.easeOut");
$thumbwidth				= $params->get('thumbwidth', '50');
$thumbheight			= $params->get('thumbheight', '50');

?>
<script type="text/javascript">
	window.addEvent('domready',function(){
		var article_rotator<?php echo $uniqid ?> = new sp_rotator($('joom_article_show<?php echo $uniqid ?>'), {
			size: {width: <?php echo $width; ?>, height: <?php echo $height; ?>},
			fxOptions: {duration:  <?php echo $fxduration; ?>, transition: Fx.Transitions.<?php echo $transition; ?>},
			onWalk: function(i, j){
				$$(thumbs<?php echo $uniqid ?>[i]).addClass('active');
				$$(thumbs<?php echo $uniqid ?>[j]).removeClass('active');
			},
			transition: <?php echo "'" .$effects. "'"; ?>,			
			preload: '.image_to_load',
			preload_sources: [
			<?php 
				for($i = 0;$i<(count($list)-1);$i++){ $images= '"' .$list[$i]->image_name. '",'; echo $images;}
				$imagelast= '"' . $list[count($list)-1]->image_name. '"';
				echo $imagelast;
			?>
			]
		});

		var thumbs<?php echo $uniqid ?> = $$('#article_numbers<?php echo $uniqid ?> span');
		article_rotator<?php echo $uniqid ?>.addItemWalkers(thumbs<?php echo $uniqid ?>);
		article_rotator<?php echo $uniqid ?>.walk(1, true); 
		article_rotator<?php echo $uniqid ?>.walk(0); 
		
		<?php if($params->get("autoPlay", 1) == 1) { ?>
			article_rotator<?php echo $uniqid ?>.play(<?php echo $params->get('interval', 5000); ?>);
		<?php } ?>
	});
</script>
<div id="joom_slide_v2_id<?php echo $uniqid ?>" style="position:relative;">
	<div style="overflow:hidden;position:relative;" id="joom_article_show<?php echo $uniqid ?>" >
		<?php foreach ($list as $item): ?>
			<div class="articles<?php echo $uniqid ?>">
					<?php if($item->image_name!=null) { ?>
						<div class="image-block" style="width:<?php echo $width ?>px;height:<?php echo $height ?>px">
							<a href="<?php echo $item->link; ?>"><img src="<?php echo $item->blankimg ?>" alt="" class="image_to_load" style="width:<?php echo $width ?>px;height:<?php echo $height ?>px" /></a>
						</div>	
					<?php } ?>
			</div>
		<?php endforeach; ?>

	</div>
	<div id="article_numbers<?php echo $uniqid ?>" class="controllers">
		<?php for($i = 1; $i <= count($list); $i++){
			if ($i==1) {
				echo  '<span class="active">1</span>';
			} else {
				echo  '<span>' .($i). '</span>';
			}
		}?>
	</div>
</div>
